EC_DICT_DUP(3)

NAME
ec_dict_dup - Duplicate a hash table.

SYNOPSIS
#include <ecoli/dict.h>

struct ec_dict * ec_dict_dup(
    const struct ec_dict   *dict   /* The hash table. */
);

DESCRIPTION

A reference counter is shared between the clones of hash tables so that the objects are freed only when the last reference is destroyed.

RETURN VALUE

The duplicated hash table, or NULL on error (errno is set).

SEE ALSO

ec_dict_iter(3), ec_dict_has_key(3), ec_dict_free(3), ec_dict_iter_get_val(3), ec_dict_len(3), ec_dict_del(3), ec_dict(3), ec_dict_set(3), ec_dict_get(3), ec_dict_dump(3), ec_dict_iter_next(3), ec_dict_iter_get_key(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.